# Program to generate a scatter plot, and find the best fit polynommial equation.
# Data for arrays x and y are read from a CSV file  

import numpy as np
import matplotlib.pyplot as plt

# Reads CSV file
my_csv = np.genfromtxt ('data1.csv', delimiter=",", skip_header = 1)

# Gets each column from CSV file
x = my_csv[:,0]
y = my_csv[:,1]
 
# Generates plot
plt.scatter(x,y) 

#Least-squares polynomial fitting 
z = np.polyfit(x,y, 1)
p = np.poly1d(z)
print("Best fit polynomial equation: ",p)

# Generates plot
plt.plot(x, p(x), '-')

# Shows plot
plt.show()

# Saves plot on png file
plt.savefig('scatter_plot3.png')