# Program to generate a plot for cosine and sine functions using matplotlib and numpy. Plot is generated with labels and grid

# Imports libraries
import matplotlib.pyplot as plt 
import numpy as np

# Defines x range with np.linspace()
x = np.linspace(0, 2*np.pi, 1001)

# Defines sine and cosine functions
sine_func   = np.sin(x) 
cos_func    = np.cos(x)

# Creates plots
plt.plot(x,sine_func)
plt.plot(x,cos_func)

plt.xlabel('x-axis')                    # Adds axis label
plt.ylabel('y-axis')                    # Adds axis label
plt.title('Sine and Cosine Functions')  # Adds title
plt.grid(True)                          # Adds grid to the plot

# Shows plot
plt.show()

# Saves plot on png file
plt.savefig('trig1.png')